Skip to main content
PUT
/
public
/
{user_id}
/
addresses
/
{customerAddress_id}
Update Address
curl --request PUT \
  --url https://apigw.ipxo.com/ecommerce/public/{user_id}/addresses/{customerAddress_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "line_one": "tcldzudotrhbmybwdf",
  "line_two": "jkqmzngoaophafhk",
  "city": "uinhfib",
  "postcode": "ievsvny",
  "province_code": "kfobp",
  "contact_email": "[email protected]",
  "vat_number": "zatvelthmjg",
  "company_code": "hpywpxlqisnvlcohrwgivb",
  "first_name": "fzrbxsd",
  "last_name": "q",
  "company_name": "lqqg",
  "contact_phone": "jwf"
}
'
{
  "data": {
    "uuid": "a13651d2-8192-41b1-9903-47afef577659",
    "first_name": "Zita",
    "last_name": "Keebler",
    "company_name": "Heidenreich-Ruecker",
    "vat_number": "eligendi",
    "vat_validation_status": "invalid",
    "vat_validated_at": "2026-03-03T14:05:30.0000000+00:00",
    "line_one": "305 Bart Shoal Suite 658",
    "line_two": "6392 Doyle Ports",
    "line_three": "21693 Justine Curve",
    "city": "Destinyburgh",
    "province_code": "CA",
    "country_code": "BR",
    "postcode": "61669",
    "contact_email": "[email protected]",
    "contact_phone": "1-281-643-8395",
    "company_code": "11258975"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_id
string
required

The ID of the user.

customerAddress_id
integer
required

The ID of the customerAddress.

Body

application/json
line_one
string
required

Must not be greater than 255 characters.

Example:

"tcldzudotrhbmybwdf"

city
string
required

Must not be greater than 255 characters.

Example:

"uinhfib"

postcode
string
required

Must not be greater than 20 characters.

Example:

"ievsvny"

line_two
string | null

Must not be greater than 255 characters.

Example:

"jkqmzngoaophafhk"

province_code
string | null

Must not be greater than 10 characters.

Example:

"kfobp"

contact_email
string | null

Must be a valid email address. Must not be greater than 255 characters.

vat_number
string | null

Must not be greater than 50 characters.

Example:

"zatvelthmjg"

company_code
string | null

Must not be greater than 50 characters.

Example:

"hpywpxlqisnvlcohrwgivb"

first_name
string | null

Must not be greater than 255 characters.

Example:

"fzrbxsd"

last_name
string | null

Must not be greater than 255 characters.

Example:

"q"

company_name
string | null

Must not be greater than 255 characters.

Example:

"lqqg"

contact_phone
string | null

Must not be greater than 50 characters.

Example:

"jwf"

Response

200 - application/json
data
object